Subject: Re: bug#10561: stat unclear about size on disk and type of blocks discussed

From: Pádraig Brady <[email-masked]>
Date: Fri, 20 Jan 2012 14:15:41 +0000

On 01/20/2012 02:03 PM, Jim Meyering wrote:
> Pádraig Brady wrote:
> ...
>>> As for %o, if you'd ask me what "I/O block size" means without any
>>> context, I'm far from being sure I would answer it means size on
>>> disk. I suggest to call this Size on disk, or Size used on the
>>> filesystem.
>>
>> I/O implies transfer.
>> So it corresponds to an "optimal transfer size hint"
>> This value can be different at each layer, for example:
>>
>> $ stat -c "%o" .                # file level
>> $ stat -f -c "%s" .             # file system level
>> # blockdev --getioopt /dev/sda  # device level
>>
>>> I'm not sure what language should be used instead. Perhaps instead
>>> of blocks the manual should talk about "data storage device blocks".
>>
>> I suppose we could clarify "I/O block size" a bit.
>> How about s|I/O block size|optimal I/O block transfer size|
> 
> or even without "block",
> 
>   "optimal I/O transfer size"

OK I'll go with "optimal I/O transfer size hint",
since there is nothing guaranteed about it,
and in fact it's often wrong.

cheers,
Pádraig.

p.s. marking bug done...